/*
Author: Muhammad Zaryaab Shahbaz
Version: 1.0
*/
html,
body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

@font-face {
  font-family: "Fredoka One";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: local("Fredoka One"), local("FredokaOne-Regular"),
    url(https://fonts.gstatic.com/s/fredokaone/v7/k3kUo8kEI-tA1RRcTZGmTlHGCaI.ttf) format("truetype");
}

@font-face {
  font-family: "Barlow Semi Condensed";
  font-style: normal;
  font-weight: 200;
  font-display: swap;
  src: local("Barlow Semi Condensed ExtraLight"),
    local("BarlowSemiCondensed-ExtraLight"),
    url(https://fonts.gstatic.com/s/barlowsemicondensed/v5/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRft6u_B2sg.ttf) format("truetype");
}

@font-face {
  font-family: "Barlow Semi Condensed";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: local("Barlow Semi Condensed Medium"),
    local("BarlowSemiCondensed-Medium"),
    url(https://fonts.gstatic.com/s/barlowsemicondensed/v5/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRfi6m_B2sg.ttf) format("truetype");
}

@font-face {
  font-family: "Barlow Semi Condensed";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: local("Barlow Semi Condensed Bold"), local("BarlowSemiCondensed-Bold"),
    url(https://fonts.gstatic.com/s/barlowsemicondensed/v5/wlpigxjLBV1hqnzfr-F8sEYMB0Yybp0mudRfw6-_B2sg.ttf) format("truetype");
}

@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: local("Lato Light"), local("Lato-Light"),
    url(https://fonts.gstatic.com/s/lato/v16/S6u9w4BMUTPHh7USSwiPHA.ttf) format("truetype");
}

@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: local("Lato Bold"), local("Lato-Bold"),
    url(https://fonts.gstatic.com/s/lato/v16/S6u9w4BMUTPHh6UVSwiPHA.ttf) format("truetype");
}

:root {
  --global-color-primary: #353535;
  --global-color-secondary: #756343;
  --global-color-accent: #070808;
  --global-color-white: #ffffff;
  --global-color-text: #7a7a7a;
  --global-color-success: #61ce70;
  --global-color-warning: #efb85f;
  --global-color-success-2: #23a455;
  --global-color-light: #6ebab9;
  --global-color-other: #497b7a;
  --global-typography-primary-font-family: "Barlow Semi Condensed";
  --global-typography-primary-font-weight: 600;
  --global-typography-secondary-font-family: "Lato";
  --global-typography-secondary-font-weight: 400;
  --global-typography-text-font-family: "Poppins";
  --global-typography-text-font-weight: 400;
  --global-typography-accent-font-family: "Fredoka One";
  --global-typography-accent-font-weight: 500;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--global-typography-primary-font-family), sans-serif;
  font-weight: 200;
  color: var(--global-color-primary);
}

h2 {
  font-size: 66px;
}

p,
button {
  font-family: var(--global-typography-primary-font-family), sans-serif;
}

.form input,
.form textarea,
.form select {
  border: 1px solid var(--global-color-primary);
  border-radius: 10px;
  padding: 8px 14px 11px 14px;
  font-family: var(--global-typography-primary-font-family), sans-serif;
  color: var(--global-color-primary);
  font-size: 22px;
  font-weight: 200;
  margin: 8px 0;
  letter-spacing: 0.05em;
}

form input::placeholder,
.form input::placeholder,
form textarea::placeholder,
.form textarea::placeholder,
form select::placeholder,
.form select::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: var(--global-color-primary);
}

form input.error {
  background-color: #ffc5c5;
  border-color: #bf3232;
  color: #bf3232;
}

form p.error {
  color: #bf3232;
}

form input:-ms-input-placeholder,
.form input:-ms-input-placeholder,
form textarea:-ms-input-placeholder,
.form textarea:-ms-input-placeholder,
form select:-ms-input-placeholder,
.form select:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: var(--global-color-primary);
}

form input::-ms-input-placeholder,
.form input::-ms-input-placeholder,
form textarea::-ms-input-placeholder,
.form textarea::-ms-input-placeholder,
form select::-ms-input-placeholder,
.form select::-ms-input-placeholder {
  /* Microsoft Edge */
  color: var(--global-color-primary);
}

input:focus,
textarea:focus,
select:focus {
  outline: none;
  background-color: #ccbbbb22;
}

p,
li {
  font-family: var(--global-typography-text-font-family), sans-serif;
  color: var(--global-color-primary);
}

/*------------------------------------- table styling -------------------------------------*/
table {
  border-collapse: collapse;
  width: 100%;
}

table tbody {
  width: 100%;
}

th,
td {
  text-align: left;
  padding: 8px;
  color: var(--global-color-primary);
  font-family: var(--global-typography-primary-font-family);
}

thead th {
  background: var(--global-color-white);
}

tr:nth-child(even) {
  background-color: #e9faf2;
}

/*------------------------------------- table styling end -------------------------------------*/
/*------------------------------------- footer styling -------------------------------------*/
footer {
  padding: 20px 30px;
  background-color: var(--global-color-secondary);
}

footer p {
  font-family: var(--global-typography-accent-font-family);
  color: var(--global-color-white);
  font-size: 14px;
  margin-bottom: 0;
  letter-spacing: 0.05em;
}

/*------------------------------------- footer styling end -------------------------------------*/
@keyframes rotation {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}

.spinner {
  animation: rotation 1s infinite steps(8);
  color: var(--global-color-secondary);
}

.loader-container {
  position: fixed;
  z-index: 10000;
  width: 100%;
  height: 100%;
  background-color: rgba(73, 32, 237, 0.1);
  display: flex;
  align-items: center;
  justify-content: center;
}

.cursor-pointer {
  cursor: pointer !important;
}

.logo {
  width: 90px;
}

.logo.login {
  width: 280px;
}

.auth-container {
  height: calc(100vh - 61px);
  display: flex;
  align-items: center;
  min-height: 350px;
  overflow-y: auto;
}

a.nav-link {
  font-weight: 600;
  border-bottom: 2px solid transparent;
  transition: 0.3s ease-in;
}

a.nav-link:hover {
  border-bottom: 2px solid var(--global-color-secondary);
}

a.nav-link.selected {
  background: var(--global-color-secondary);
  color: var(--global-color-white) !important;
}

.dataTables_paginate {
  display: flex;
  justify-content: space-between;
}

.dataTables_paginate a {
  background-color: var(--global-color-primary);
  color: var(--global-color-white);
  font-family: var(--global-typography-primary-font-family);
  font-size: 15px;
  font-weight: 700;
  letter-spacing: 0.1em;
  border-radius: 100px;
  border: none;
  padding: 0 20px;
  margin: 0 10px;
  cursor: pointer;
  text-decoration: none;
  display: inline-block;
}

/*------------------------------------- BASIC AUTH STYLING END -------------------------------------*/
.employee-name {
  border-bottom: 2px solid var(--global-color-secondary);
  width: fit-content;
}

.font-primary {
  font-family: var(--global-typography-primary-font-family), sans-serif;
}

.search-container {
  position: relative;
  width: 300px;
}

.suggestions {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  background: rgb(249, 250, 251);
  border: 1px solid rgb(209, 213, 219);
  max-height: 150px;
  overflow-y: auto;
  display: none;
  border-radius: 8px;
  padding: 4px 12px;
  z-index: 10;
}

.suggestions div {
  padding: 8px 4px;
  cursor: pointer;
  border-bottom: 1px solid rgb(209, 213, 219);
  border-radius: 4px;
  color: rgb(17, 24, 39);
  font-size: 14px;
}

.suggestions div:hover {
  background-color: #f0f0f0;
}

.customer-container {
  background-color: #008236;
  display: flex;
  border-radius: 0.375rem;
  padding-top: 2px;
  padding-bottom: 4px;
}

#selectedCustomer {
  font-family: var(--global-typography-primary-font-family), sans-serif;
  font-weight: 300;
  line-height: 1;
}

.customer-container .btn-close {
  color: #e5e5e5;
  font-size: 14px;
}

.pill {
  display: flex;
  align-items: center;
  background: #f0fdf4;
  border-radius: 0.375rem;
  color: #008236;
  border: 1px solid #00a63e;
  gap: 5px;
}

.pill .heading {
  background: #008236;
  color: white;
  padding-left: 8px;
  padding-right: 8px;
  border-radius: 2px;
  white-space: nowrap;
  margin-bottom: 0;
}

.pill select {
  border-radius: 8px;
  background: transparent;
  color: #008236;
  border: none;
}

.separator {
  width: 50%;
  height: 2px;
  background: #008236;
  margin: 24px auto 8px;
  border-radius: 8px;
}

.gap {
  gap: 0.5rem;
}

input.primary {
  background: #f0fdf4;
  border-radius: 0.375rem;
  color: #008236;
  border: 1px solid #00a63e;
  padding-left: 8px;
  padding-right: 8px;
  width: 100%;
  transition: 0.3s all ease-in;
}

input.primary:focus {
  box-shadow: 0px 0px 4px #f0fdf4;
}

button.custom {
  padding-top: 2px;
  padding-bottom: 3px;
  border-radius: 0.375rem;
}

.reset-order {
  font-size: 14px;
  right: 8px;
  top: 3px;
}

/* HTML: <div class="loader"></div> */
.loader {
  width: 12px;
  margin: 4px 0px;
  aspect-ratio: 1;
  border-radius: 50%;
  animation: l5 1s infinite linear alternate;
}

@keyframes l5 {
  0% {
    box-shadow: 20px 0 rgba(255, 255, 255), -20px 0 rgba(255, 255, 255, 0.2);
    background: rgba(255, 255, 255)
  }

  33% {
    box-shadow: 20px 0 rgba(255, 255, 255), -20px 0 rgba(255, 255, 255, 0.2);
    background: rgba(255, 255, 255, 0.2)
  }

  66% {
    box-shadow: 20px 0 rgba(255, 255, 255, 0.2), -20px 0 rgba(255, 255, 255);
    background: rgba(255, 255, 255, 0.2)
  }

  100% {
    box-shadow: 20px 0 rgba(255, 255, 255, 0.2), -20px 0 rgba(255, 255, 255);
    background: rgba(255, 255, 255)
  }
}